Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.notification
Class NotificationFilterProxy

    java.lang.Object
      org.jboss.mx.notification.NotificationFilterProxy

All Implemented Interfaces:
  NotificationFilter, Serializable

public class NotificationFilterProxy
extends Object
implements NotificationFilter

NotificationFilterProxy wraps a real filter by the users to pass down to the mbean server so that as notification emitters apply the filter, the appropriate source can be set in the notification object before passing to the real filter.

Version:
  $Revision: 1.2 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Constructor Summary
`NotificationFilterProxy(ObjectName source, NotificationFilter delegate)`

Method Summary
`NotificationFilter` | `getFilter()` return the real NotificationFilter
`ObjectName` | `getSource()` return the real ObjectName source
`boolean` | `isNotificationEnabled(Notification notification)` This method is called before a notification is sent to see whether the listener wants the notification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationFilterProxy

    public NotificationFilterProxy(ObjectName source,
                                   NotificationFilter delegate)

Method Detail

### isNotificationEnabled

    public boolean isNotificationEnabled(Notification notification)

  This method is called before a notification is sent to see whether the listener wants the notification.

  Specified by:
    `isNotificationEnabled` in interface `NotificationFilter`
  Parameters:
    `notification` - the notification to be sent.
  Returns:
    true if the listener wants the notification, false otherwise

### getSource

    public ObjectName getSource()

  return the real ObjectName source

  Returns:

### getFilter

    public NotificationFilter getFilter()

  return the real NotificationFilter

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.